%define desktop_vendor newrpms
%{!?_dist: %{expand: %%define dist rhfc20}}

Summary:	GAdmin-Rsync - An easy to use GTK+ frontend for the rsync backup client and server.
Name:		gadmin-rsync
Version:	0.1.9
Release:	0.1.%{dist}.nr
License:	GPL
Group:		Applications/System
URL:		http://dalalven.dtdns.net/linux.html
Source0:	http://dalalven.dtdns.net/linux/%{name}/%{name}-%{version}.tar.gz
BuildRoot:	%{_builddir}/%{name}-%{version}-root
Provides:	gadmin-rsync

%description
GAdmin-Rsync - An easy to use GTK+ frontend for the rsync backup client and server.

%prep
%setup -q
%configure

%build
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall INSTALL_USER=`id -un` INSTALL_GROUP=`id -gn`

# pam auth
install -d %{buildroot}%{_sysconfdir}/pam.d/
install -d %{buildroot}%{_sysconfdir}/security/console.apps
install -m 644 etc/pam.d/%{name} %{buildroot}%{_sysconfdir}/pam.d/%{name}
install -m 644 etc/security/console.apps/%{name} %{buildroot}%{_sysconfdir}/security/console.apps/%{name}

# desktop entry
install -d %{buildroot}%{_datadir}/applications
install -m 644 desktop/gadmin-rsync.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop

# doc files.. 
install -d %{buildroot}%{_datadir}/doc/%{name}
install -m 644  README COPYING AUTHORS ChangeLog %{buildroot}%{_datadir}/doc/%{name}

%find_lang %name

%post 
if test ! -h %{_bindir}/gadmin-rsync ; then \
ln -s %{_bindir}/consolehelper %{_bindir}/gadmin-rsync ; \
fi;

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
### %files
%defattr(0755, root, root)
%{_sbindir}/%{name}
%defattr(0644, root, root)
%{_datadir}/doc/%{name}/README
%{_datadir}/doc/%{name}/COPYING 
%{_datadir}/doc/%{name}/AUTHORS 
%{_datadir}/doc/%{name}/ChangeLog
%{_sysconfdir}/pam.d/%{name}
%{_sysconfdir}/security/console.apps/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/*.png
%dir %{_datadir}/pixmaps/%{name}
%{_datadir}/pixmaps/%{name}/*.png

%changelog
* Thu Nov 6 2014 Magnus Loef <magnus-swe@telia.com>
- Fixed a buffer overflow by 1 char in handle_ssh.c
* Mon Jun 10 2013 Magnus Loef <magnus-swe@telia.com>
- Info about missing paths is shown in the logs.
- Only shuts down root rsync processes.
- configure.in (ALL_LINGUAS): Added pl (Polish).
* Mon Jan 3 2011 Magnus Loef <magnus-swe@telia.com>
- Using nonblocking io channels.
- Reads the full output of rsync's --progress option
- showing speed and percentage for each action.
* Fri Oct 22 2010 Magnus Loef <magnus-swe@telia.com>
- Allow channels to read binary data.
* Fri Oct 24 2009 Magnus Loef <magnus-swe@telia.com>
- The program can now restore a backup or parts of it.
- Switches to the progress tab when a backup or
- restore is activated and adds progress start text.
- Dry run is selectable for restore operations.
- Sets status color and missing programs color.
- Desktop menu is also added to the servers and internet sections.
* Fri Jul 17 2009 Magnus Loef <magnus-swe@telia.com>
- Added better ssh/scp failure handling.
* Sun Jul 12 2009 Magnus Loef <magnus-swe@telia.com>
- Using posix_openpt() instead of getpt() to support
- FreeBSD and others as well. Thanks to Jurgen Dankoweit.
* Sun May 10 2009 Magnus Loef <magnus-swe@telia.com>
- Adds an optional monthly backup setting and
- fixes a bug in the scheduler.
* Sun Jan 25 2009 Magnus Loef <magnus-swe@telia.com>
- Updated icon text to Rsync.
- Adds an extended log viewer.
- Avoids combo box signal emissions when deleting backups.
- Removes logs and extended logs when deleting a backup.
- Unifies the backup name filter.
- Allows for synchronization as a regular remote user. 
* Fri Jun 6 2008 Magnus Loef <magnus-swe@telia.com>
- Using g_signal_handler_block to block combo_box changed signal emission.
* Sun Dec 9 2007 Magnus Loef <magnus-swe@telia.com>
- Added automatic remote encrypted synchronizations.
* Wed Oct 17 2007 Magnus Loef <magnus-swe@telia.com>
- Changed textview to treeview in the log window.
* Thu Oct 11 2007 Magnus Loef <magnus-swe@telia.com>
- Initial release of GAdmin-Rsync.
